Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/configuration.cfg	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/configuration.cfg	(revision 117)
@@ -7,5 +7,4 @@
 1	1	+1	# nb_inst_insert                    [0]               [nb_rename_unit]
 1	1	+1	# nb_inst_retire                    [0]               [nb_rename_unit]
-1	1	+1	# nb_inst_issue                                       
 1	1	+1	# nb_inst_execute                   [0]               [nb_execute_loop]
 1	1	+1	# nb_inst_reexecute                                   
@@ -28,17 +27,4 @@
 1	1	+1	# issue_priority                           
 1	1	+1	# issue_load_balancing                     
-1	1	+1	# table_routing                     [0][0]            [nb_rename_unit][nb_inst_issue]
-1	1	+1	# table_issue_type                  [0][TYPE_ALU    ] [nb_inst_issue][nb_type]
-1	1	+1	# table_issue_type                  [0][TYPE_SHIFT  ] [nb_inst_issue][nb_type]
-1	1	+1	# table_issue_type                  [0][TYPE_MOVE   ] [nb_inst_issue][nb_type]
-1	1	+1	# table_issue_type                  [0][TYPE_TEST   ] [nb_inst_issue][nb_type]
-1	1	+1	# table_issue_type                  [0][TYPE_MUL    ] [nb_inst_issue][nb_type]
-1	1	+1	# table_issue_type                  [0][TYPE_DIV    ] [nb_inst_issue][nb_type]
-1	1	+1	# table_issue_type                  [0][TYPE_EXTEND ] [nb_inst_issue][nb_type]
-1	1	+1	# table_issue_type                  [0][TYPE_FIND   ] [nb_inst_issue][nb_type]
-1	1	+1	# table_issue_type                  [0][TYPE_SPECIAL] [nb_inst_issue][nb_type]
-1	1	+1	# table_issue_type                  [0][TYPE_CUSTOM ] [nb_inst_issue][nb_type]
-1	1	+1	# table_issue_type                  [0][TYPE_BRANCH ] [nb_inst_issue][nb_type]
-1	1	+1	# table_issue_type                  [0][TYPE_MEMORY ] [nb_inst_issue][nb_type]
 1	1	+1	# size_reexecute_queue                     
 1	1	+1	# reexecute_priority                       
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/src/main.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/src/main.cpp	(revision 117)
@@ -9,5 +9,5 @@
 #include "Behavioural/include/Allocation.h"
 
-#define NB_PARAMS 24
+#define NB_PARAMS 23
 
 void usage (int argc, char * argv[])
@@ -22,5 +22,5 @@
   err (_(" * nb_inst_insert                    [nb_rename_unit]                      (uint32_t             )\n"));
   err (_(" * nb_inst_retire                    [nb_rename_unit]                      (uint32_t             )\n"));
-  err (_(" * nb_inst_issue                                                           (uint32_t             )\n"));
+//err (_(" * nb_inst_issue                                                           (uint32_t             )\n"));
   err (_(" * nb_inst_execute                   [nb_execute_loop]                     (uint32_t             )\n"));
   err (_(" * nb_inst_reexecute                                                       (uint32_t             )\n"));
@@ -43,18 +43,18 @@
   err (_(" * issue_priority                                                          (Tpriority_t          )\n"));
   err (_(" * issue_load_balancing                                                    (Tload_balancing_t    )\n"));
-  err (_(" * table_routing                     [nb_rename_unit][nb_inst_issue]       (bool                 )\n"));
-  err (_(" * table_issue_type                  [nb_inst_issue][nb_type]              (bool                 )\n"));
-  err (_("   * TYPE_ALU    \n"));
-  err (_("   * TYPE_SHIFT  \n"));
-  err (_("   * TYPE_MOVE   \n"));
-  err (_("   * TYPE_TEST   \n"));
-  err (_("   * TYPE_MUL    \n"));
-  err (_("   * TYPE_DIV    \n"));
-  err (_("   * TYPE_EXTEND \n"));
-  err (_("   * TYPE_FIND   \n"));
-  err (_("   * TYPE_SPECIAL\n"));
-  err (_("   * TYPE_CUSTOM \n"));
-  err (_("   * TYPE_BRANCH \n"));
-  err (_("   * TYPE_MEMORY \n"));
+//   err (_(" * table_routing                     [nb_rename_unit][nb_inst_issue]       (bool                 )\n"));
+//   err (_(" * table_issue_type                  [nb_inst_issue][nb_type]              (bool                 )\n"));
+//   err (_("   * TYPE_ALU    \n"));
+//   err (_("   * TYPE_SHIFT  \n"));
+//   err (_("   * TYPE_MOVE   \n"));
+//   err (_("   * TYPE_TEST   \n"));
+//   err (_("   * TYPE_MUL    \n"));
+//   err (_("   * TYPE_DIV    \n"));
+//   err (_("   * TYPE_EXTEND \n"));
+//   err (_("   * TYPE_FIND   \n"));
+//   err (_("   * TYPE_SPECIAL\n"));
+//   err (_("   * TYPE_CUSTOM \n"));
+//   err (_("   * TYPE_BRANCH \n"));
+//   err (_("   * TYPE_MEMORY \n"));
   err (_(" * size_reexecute_queue                                                    (uint32_t         )\n"));
   err (_(" * reexecute_priority                                                      (Tpriority_t      )\n"));
@@ -120,5 +120,5 @@
     _nb_inst_retire [i] = fromString<uint32_t>(argv[x++]);
 
-  uint32_t              _nb_inst_issue                     = fromString<uint32_t         >(argv[x++]);
+//uint32_t              _nb_inst_issue                     = fromString<uint32_t         >(argv[x++]);
   uint32_t            * _nb_inst_execute                   = new uint32_t [_nb_execute_loop];
   for (uint32_t i=0; i<_nb_execute_loop; i++)
@@ -152,35 +152,36 @@
   Tpriority_t           _issue_priority                    = fromString<Tpriority_t      >(argv[x++]);
   Tload_balancing_t     _issue_load_balancing              = fromString<Tload_balancing_t>(argv[x++]);
-  bool               ** _table_routing                     = new bool * [_nb_rename_unit];
-  for (uint32_t i=0; i<_nb_rename_unit; i++)
-    {
-      _table_routing [i] = new bool [_nb_inst_issue];
-      for (uint32_t j=0; j<_nb_inst_issue; j++)
-        _table_routing [i][j] = fromString<bool>(argv[x++]);
-    }
-
-  if (argc <= static_cast<int>(2+NB_PARAMS+3*_nb_front_end+2*_sum_nb_context+10*_nb_rename_unit+_nb_execute_loop+_nb_rename_unit*_nb_inst_issue+12*_nb_inst_issue))
+//   bool               ** _table_routing                     = new bool * [_nb_rename_unit];
+//   for (uint32_t i=0; i<_nb_rename_unit; i++)
+//     {
+//       _table_routing [i] = new bool [_nb_inst_issue];
+//       for (uint32_t j=0; j<_nb_inst_issue; j++)
+//         _table_routing [i][j] = fromString<bool>(argv[x++]);
+//     }
+
+  if (argc <= static_cast<int>(2+NB_PARAMS+3*_nb_front_end+2*_sum_nb_context+10*_nb_rename_unit+_nb_execute_loop//+_nb_rename_unit*_nb_inst_issue+12*_nb_inst_issue
+                               ))
     usage (argc, argv);
   
-  bool               ** _table_issue_type                  = new bool * [_nb_inst_issue];
-  for (uint32_t i=0; i<_nb_inst_issue; i++)    
-    {
-      _table_issue_type [i] = new bool [MAX_TYPE];
-      for (uint32_t j=0; j<MAX_TYPE; j++)
-        _table_issue_type [i][j] = false;
-
-      _table_issue_type [i][TYPE_ALU    ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_SHIFT  ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_MOVE   ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_TEST   ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_MUL    ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_DIV    ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_EXTEND ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_FIND   ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_SPECIAL] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_CUSTOM ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_BRANCH ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_MEMORY ] = fromString<bool>(argv[x++]);
-    }
+//   bool               ** _table_issue_type                  = new bool * [_nb_inst_issue];
+//   for (uint32_t i=0; i<_nb_inst_issue; i++)    
+//     {
+//       _table_issue_type [i] = new bool [MAX_TYPE];
+//       for (uint32_t j=0; j<MAX_TYPE; j++)
+//         _table_issue_type [i][j] = false;
+
+//       _table_issue_type [i][TYPE_ALU    ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_SHIFT  ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_MOVE   ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_TEST   ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_MUL    ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_DIV    ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_EXTEND ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_FIND   ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_SPECIAL] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_CUSTOM ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_BRANCH ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_MEMORY ] = fromString<bool>(argv[x++]);
+//     }
   
   uint32_t              _size_reexecute_queue              = fromString<uint32_t         >(argv[x++]);
@@ -220,5 +221,6 @@
     }
 
-  if (argc != static_cast<int>(2+NB_PARAMS+3*_nb_front_end+2*_sum_nb_context+10*_nb_rename_unit+_nb_execute_loop+_nb_rename_unit*_nb_inst_issue+12*_nb_inst_issue+3*_sum_nb_load_store_queue))
+  if (argc != static_cast<int>(2+NB_PARAMS+3*_nb_front_end+2*_sum_nb_context+10*_nb_rename_unit+_nb_execute_loop+// _nb_rename_unit*_nb_inst_issue+12*_nb_inst_issue
+                               3*_sum_nb_load_store_queue))
     usage (argc, argv);
 
@@ -294,5 +296,5 @@
          _nb_inst_insert                   ,
          _nb_inst_retire                   ,
-         _nb_inst_issue                    ,
+//       _nb_inst_issue                    ,
          _nb_inst_execute                  ,
          _nb_inst_reexecute                ,
@@ -315,6 +317,6 @@
          _issue_priority                   ,
          _issue_load_balancing             ,
-         _table_routing                    ,
-         _table_issue_type                 ,
+//          _table_routing                    ,
+//          _table_issue_type                 ,
          _size_reexecute_queue             ,
          _reexecute_priority               ,
@@ -400,11 +402,11 @@
   delete [] _rename_select_priority            ;
 
-  for (uint32_t i=0; i<_nb_inst_issue; i++)    
-    delete [] _table_issue_type [i];
-  delete [] _table_issue_type;  
-
-  for (uint32_t i=0; i<_nb_rename_unit; i++)
-    delete [] _table_routing [i];
-  delete [] _table_routing;
+//   for (uint32_t i=0; i<_nb_inst_issue; i++)    
+//     delete [] _table_issue_type [i];
+//   delete [] _table_issue_type;  
+
+//   for (uint32_t i=0; i<_nb_rename_unit; i++)
+//     delete [] _table_routing [i];
+//   delete [] _table_routing;
 
   delete [] _link_rename_unit_with_front_end;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/src/test.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/src/test.cpp	(revision 117)
@@ -52,4 +52,131 @@
   sc_clock              *  in_CLOCK  = new sc_clock ("clock", 1.0, 0.5);	 
   sc_signal<Tcontrol_t> *  in_NRESET = new sc_signal<Tcontrol_t> ("NRESET");
+
+  sc_signal<Tcontrol_t        > ***  in_RENAME_VAL                       ;
+  sc_signal<Tcontrol_t        > *** out_RENAME_ACK                       ;
+  sc_signal<Tcontext_t        > ***  in_RENAME_FRONT_END_ID              ;
+  sc_signal<Tcontext_t        > ***  in_RENAME_CONTEXT_ID                ;
+  sc_signal<Tdepth_t          > ***  in_RENAME_DEPTH                     ;
+  sc_signal<Ttype_t           > ***  in_RENAME_TYPE                      ;
+  sc_signal<Toperation_t      > ***  in_RENAME_OPERATION                 ;
+  sc_signal<Tcontrol_t        > ***  in_RENAME_NO_EXECUTE                ;
+  sc_signal<Tcontrol_t        > ***  in_RENAME_IS_DELAY_SLOT             ;
+  sc_signal<Taddress_t        > ***  in_RENAME_ADDRESS                   ;
+  sc_signal<Taddress_t        > ***  in_RENAME_ADDRESS_NEXT              ;
+  sc_signal<Tcontrol_t        > ***  in_RENAME_HAS_IMMEDIAT              ;
+  sc_signal<Tgeneral_data_t   > ***  in_RENAME_IMMEDIAT                  ;
+  sc_signal<Tcontrol_t        > ***  in_RENAME_READ_RA                   ;
+  sc_signal<Tgeneral_address_t> ***  in_RENAME_NUM_REG_RA                ;
+  sc_signal<Tcontrol_t        > ***  in_RENAME_READ_RB                   ;
+  sc_signal<Tgeneral_address_t> ***  in_RENAME_NUM_REG_RB                ;
+  sc_signal<Tcontrol_t        > ***  in_RENAME_READ_RC                   ;
+  sc_signal<Tspecial_address_t> ***  in_RENAME_NUM_REG_RC                ;
+  sc_signal<Tcontrol_t        > ***  in_RENAME_WRITE_RD                  ;
+  sc_signal<Tgeneral_address_t> ***  in_RENAME_NUM_REG_RD                ;
+  sc_signal<Tcontrol_t        > ***  in_RENAME_WRITE_RE                  ;
+  sc_signal<Tspecial_address_t> ***  in_RENAME_NUM_REG_RE                ;
+  sc_signal<Texception_t      > ***  in_RENAME_EXCEPTION_USE             ;
+  sc_signal<Texception_t      > ***  in_RENAME_EXCEPTION                 ;
+
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_VAL                        ;
+  sc_signal<Tcontrol_t        >  **  in_ISSUE_ACK                        ;
+  sc_signal<Tcontext_t        >  ** out_ISSUE_FRONT_END_ID               ;
+  sc_signal<Tcontext_t        >  ** out_ISSUE_CONTEXT_ID                 ;
+  sc_signal<Tpacket_t         >  ** out_ISSUE_PACKET_ID                  ;
+  sc_signal<Ttype_t           >  ** out_ISSUE_TYPE                       ;
+  sc_signal<Toperation_t      >  ** out_ISSUE_OPERATION                  ;
+  sc_signal<Tlsq_ptr_t        >  ** out_ISSUE_STORE_QUEUE_PTR_WRITE      ;
+  sc_signal<Tlsq_ptr_t        >  ** out_ISSUE_LOAD_QUEUE_PTR_WRITE       ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_HAS_IMMEDIAT               ;
+  sc_signal<Tgeneral_data_t   >  ** out_ISSUE_IMMEDIAT                   ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_READ_RA                    ;
+  sc_signal<Tgeneral_address_t>  ** out_ISSUE_NUM_REG_RA                 ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_READ_RB                    ;
+  sc_signal<Tgeneral_address_t>  ** out_ISSUE_NUM_REG_RB                 ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_READ_RC                    ;
+  sc_signal<Tspecial_address_t>  ** out_ISSUE_NUM_REG_RC                 ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_WRITE_RD                   ;
+  sc_signal<Tgeneral_address_t>  ** out_ISSUE_NUM_REG_RD                 ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_WRITE_RE                   ;
+  sc_signal<Tspecial_address_t>  ** out_ISSUE_NUM_REG_RE                 ;
+
+  sc_signal<Tcontrol_t        > ***  in_EXECUTE_LOOP_VAL                 ;
+  sc_signal<Tcontrol_t        > *** out_EXECUTE_LOOP_ACK                 ;
+  sc_signal<Tcontext_t        > ***  in_EXECUTE_LOOP_FRONT_END_ID        ;
+  sc_signal<Tcontext_t        > ***  in_EXECUTE_LOOP_CONTEXT_ID          ;
+  sc_signal<Tpacket_t         > ***  in_EXECUTE_LOOP_PACKET_ID           ;
+//sc_signal<Ttype_t           > ***  in_EXECUTE_LOOP_TYPE                ;
+//sc_signal<Toperation_t      > ***  in_EXECUTE_LOOP_OPERATION           ;
+  sc_signal<Tspecial_data_t   > ***  in_EXECUTE_LOOP_FLAGS               ;
+  sc_signal<Texception_t      > ***  in_EXECUTE_LOOP_EXCEPTION           ;
+  sc_signal<Tcontrol_t        > ***  in_EXECUTE_LOOP_NO_SEQUENCE         ;
+  sc_signal<Taddress_t        > ***  in_EXECUTE_LOOP_ADDRESS             ;
+  sc_signal<Tgeneral_data_t   > ***  in_EXECUTE_LOOP_DATA                ;
+
+  sc_signal<Tcontrol_t        >  ** out_INSERT_VAL                       ;
+  sc_signal<Tcontrol_t        >  **  in_INSERT_ACK                       ;
+  sc_signal<Tcontrol_t        >  ** out_INSERT_RD_USE                    ;
+  sc_signal<Tgeneral_address_t>  ** out_INSERT_RD_NUM_REG                ;
+  sc_signal<Tcontrol_t        >  ** out_INSERT_RE_USE                    ;
+  sc_signal<Tspecial_address_t>  ** out_INSERT_RE_NUM_REG                ;
+
+//sc_signal<Tcontrol_t        >  ** out_RETIRE_VAL                       ;
+//sc_signal<Tcontrol_t        >  **  in_RETIRE_ACK                       ;
+//sc_signal<Tcontrol_t        >  ** out_RETIRE_RD_OLD_USE                ;
+//sc_signal<Tgeneral_address_t>  ** out_RETIRE_RD_OLD_NUM_REG            ;
+//sc_signal<Tcontrol_t        >  ** out_RETIRE_RD_NEW_USE                ;
+//sc_signal<Tgeneral_address_t>  ** out_RETIRE_RD_NEW_NUM_REG            ;
+//sc_signal<Tcontrol_t        >  ** out_RETIRE_RE_OLD_USE                ;
+//sc_signal<Tspecial_address_t>  ** out_RETIRE_RE_OLD_NUM_REG            ;
+//sc_signal<Tcontrol_t        >  ** out_RETIRE_RE_NEW_USE                ;
+//sc_signal<Tspecial_address_t>  ** out_RETIRE_RE_NEW_NUM_REG            ;
+
+  sc_signal<Tcontrol_t        >  ** out_BRANCH_COMPLETE_VAL              ;
+  sc_signal<Tcontrol_t        >  **  in_BRANCH_COMPLETE_ACK              ;
+  sc_signal<Tcontext_t        >  ** out_BRANCH_COMPLETE_FRONT_END_ID     ;
+  sc_signal<Tcontext_t        >  ** out_BRANCH_COMPLETE_CONTEXT_ID       ;
+  sc_signal<Tdepth_t          >  ** out_BRANCH_COMPLETE_DEPTH            ;
+  sc_signal<Taddress_t        >  ** out_BRANCH_COMPLETE_ADDRESS          ;
+  sc_signal<Tcontrol_t        >  ** out_BRANCH_COMPLETE_NO_SEQUENCE      ;
+  sc_signal<Tcontrol_t        >  **  in_BRANCH_COMPLETE_MISS_PREDICTION  ;
+
+  sc_signal<Tcontrol_t        >   * out_COMMIT_EVENT_VAL                 ;
+  sc_signal<Tcontrol_t        >   *  in_COMMIT_EVENT_ACK                 ;
+  sc_signal<Tcontext_t        >   * out_COMMIT_EVENT_FRONT_END_ID        ;
+  sc_signal<Tcontext_t        >   * out_COMMIT_EVENT_CONTEXT_ID          ;
+  sc_signal<Tdepth_t          >   * out_COMMIT_EVENT_DEPTH               ;
+  sc_signal<Tevent_type_t     >   * out_COMMIT_EVENT_TYPE                ;
+  sc_signal<Tcontrol_t        >   * out_COMMIT_EVENT_IS_DELAY_SLOT       ;
+  sc_signal<Taddress_t        >   * out_COMMIT_EVENT_ADDRESS             ;
+  sc_signal<Tcontrol_t        >   * out_COMMIT_EVENT_ADDRESS_EPCR_VAL    ;
+  sc_signal<Taddress_t        >   * out_COMMIT_EVENT_ADDRESS_EPCR        ;
+  sc_signal<Tcontrol_t        >   * out_COMMIT_EVENT_ADDRESS_EEAR_VAL    ;
+  sc_signal<Tgeneral_data_t   >   * out_COMMIT_EVENT_ADDRESS_EEAR        ;
+
+  sc_signal<Tcontrol_t        > ***  in_EVENT_VAL                        ;
+  sc_signal<Tcontrol_t        > *** out_EVENT_ACK                        ;
+  sc_signal<Taddress_t        > ***  in_EVENT_ADDRESS                    ;
+  sc_signal<Taddress_t        > ***  in_EVENT_ADDRESS_NEXT               ;
+  sc_signal<Tcontrol_t        > ***  in_EVENT_ADDRESS_NEXT_VAL           ;
+  sc_signal<Tcontrol_t        > ***  in_EVENT_IS_DS_TAKE                 ;
+
+  sc_signal<Tcontrol_t        > ***  in_SPR_EVENT_VAL                    ;
+  sc_signal<Tcontrol_t        > *** out_SPR_EVENT_ACK                    ;
+  sc_signal<Tspr_t            > ***  in_SPR_EVENT_EPCR                   ;
+  sc_signal<Tcontrol_t        > ***  in_SPR_EVENT_EEAR_WEN               ;
+  sc_signal<Tspr_t            > ***  in_SPR_EVENT_EEAR                   ;
+  sc_signal<Tcontrol_t        > ***  in_SPR_EVENT_SR_DSX                 ;
+  sc_signal<Tcontrol_t        > ***  in_SPR_EVENT_SR_TO_ESR              ;
+
+  sc_signal<Tcounter_t        > *** out_NB_INST_COMMIT_ALL               ;
+  sc_signal<Tcounter_t        > *** out_NB_INST_COMMIT_MEM               ;
+  sc_signal<Tcounter_t        > ***  in_NB_INST_DECOD_ALL                ;
+
+  sc_signal<Tdepth_t          > ***  in_DEPTH_MIN                        ;
+  sc_signal<Tdepth_t          > ***  in_DEPTH_MAX                        ;
+  sc_signal<Tcontrol_t        > ***  in_DEPTH_FULL                       ;
+
+  sc_signal<Tcontrol_t        > *** out_SPR_SR_IEE                       ;
+  sc_signal<Tcontrol_t        > *** out_SPR_SR_EPH                       ;
 
   ALLOC2_SC_SIGNAL( in_RENAME_VAL                       ," in_RENAME_VAL                       ",Tcontrol_t        ,_param->_nb_front_end,_param->_nb_inst_decod[it1]);
